Bug 243587 - Switching on desktop effects ["compiz"] crashes "X" server on "SuperSavage/IXC 64"
Switching on desktop effects ["compiz"] crashes "X" server on "SuperSavage/IX...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
9
i386 Linux
low Severity high
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-10 04:35 EDT by Joachim Frieben
Modified: 2009-04-07 11:35 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.7.2-3.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-29 12:57:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log file ".xsession-errors" reporting the crash (1.70 KB, text/plain)
2007-06-10 04:35 EDT, Joachim Frieben
no flags Details
xorg.conf for IBM ThinkPad T23 (714 bytes, text/plain)
2008-03-05 13:13 EST, Joachim Frieben
no flags Details
Xorg.0.log related to xorg.conf for IBM ThinkPad T23 (8.88 KB, text/plain)
2008-03-05 13:14 EST, Joachim Frieben
no flags Details
Xorg.0.log for IBM ThinkPad T23 w/o xorg.conf (9.26 KB, text/plain)
2008-03-05 13:17 EST, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2007-06-10 04:35:17 EDT
Description of problem:
When desktop effects are enabled on an "IBM ThinkPad T23", the "X" server
crashes immediately.

Version-Release number of selected component (if applicable):
compiz-0.4.0-1.fc8

How reproducible:
Always

Steps to Reproduce:
1. Login to "GNOME" session.
2. Switch on desktop effects.
  
Actual results:
After a few seconds, the "X" server aborts, and one is dropped
to the "GDM" login panel.

Expected results:
Desktop effects just work or in case that not, "X" server falls
back to non-composite mode after a short period of time as on
other systems.

Additional info:
None.
Comment 1 Joachim Frieben 2007-06-10 04:35:17 EDT
Created attachment 156663 [details]
Log file ".xsession-errors" reporting the crash
Comment 2 Carl Preddy 2007-09-05 20:56:56 EDT
I have identical behavior on a rather different system. F8test1 with today's
kernel running on VMWare Server 1.0.3 under WinXP with the x86_64 arch. Using
the VMWare-supplied video driver. I would have been astounded if desktop-effects
actually worked in this configuration; I've never been able to get it to work on
any bare-metal system under FC6 or FC7, but it has always failed with a polite
message. Here it immediately crashes X and restarts. Starting from terminal and
capturing the stderr output yields the info below. My .xsession-errors log is
just filled with errors about "gnomebreakpad" that I see quite often and
probably has nothing to do with the crash.
Stderr output from "desktop-effects" ->
Gtk-Message: Failed to load module "gnomebreakpad": libgnomebreakpad.so: cannot
open shared object file: No such file or directory
Gtk-Message: Failed to load module "gnomebreakpad": libgnomebreakpad.so: cannot
open shared object file: No such file or directory
desktop-effects: Fatal IO error 104 (Connection reset by peer) on X server :0.0.

** (desktop-effects:3622): WARNING **: Failed to send buffer
desktop-effects: Fatal IO error 104 (Connection reset by peer) on X server :0.0.
gtk-window-decorator: Fatal IO error 11 (Resource temporarily unavailable) on X
server :0.0.

** (gtk-window-decorator:3639): WARNING **: Failed to send buffer

** (gtk-window-decorator:3639): WARNING **: Failed to send buffer
The application 'gtk-window-decorator' lost its connection to the display :0.0;
most likely the X server was shut down or you killed/destroyed
the application.
XIO:  fatal IO error 11 (Resource temporarily unavailable) on X server ":0.0"
      after 10 requests (7 known processed) with 0 events remaining.
Comment 3 Matěj Cepl 2007-11-23 10:41:10 EST
Reporter, are you able to reproduce this with the current Rawhide? If yes, could
you please attach to this bug /etc/X11/xorg.conf and /var/log/XOrg.0.log as
separate uncompressed attachments, please?

Thank you
Comment 4 Joachim Kunze 2007-12-29 11:45:41 EST
I see the same issue on my IBM T23 - after switching on desktop effects,
x-server crashes.

Tested with rawhide, but here the x-server doesn't start at all after upgrading
from F8->rawide ...

I've already filed a report-# 426994

Thanks,

Jo
Comment 5 Joachim Frieben 2008-01-02 11:10:29 EST
(In reply to comment #3)
> Reporter, are you able to reproduce this with the current Rawhide?

This bug is on hold until bug 426994 has been solved. I have committed
a "gdb" traceback output over there to help nail down the issue. Note
that right now, it's not even possible to rebuild the "xorg-x11-drv-savage" 
driver package on a current "rawhide" system which indicates that something
is really screwed up.
Comment 6 Matěj Cepl 2008-01-09 11:07:55 EST
So, let's keep that NEEDINFO here, right?
Comment 7 Joachim Frieben 2008-01-09 14:40:09 EST
Sure, see comment #5.
Comment 8 Joachim Frieben 2008-02-01 16:09:53 EST
Xorg still aborts as described in comment #5 after upgrading to:
 xorg-x11-server-Xorg-1.4.99.1-0.19.20080107.fc9
 xorg-x11-drv-savage-2.1.3-100.20071210.fc9
Comment 9 Matěj Cepl 2008-03-03 15:27:38 EST
I don't expect that in the current sad state of X in Rawhide, this issue would
turn better, but just curious … did it?
Comment 10 Joachim Frieben 2008-03-03 16:03:51 EST
After updating xorg-x11-drv-savage-2.1.3-101.20071210.fc9 to current git
as of 2008-03-02, X still crashes at start-up, see bug 426994. Currently,
thus only the vesa driver is available.
Comment 11 Matěj Cepl 2008-03-04 05:51:41 EST
Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 12 Joachim Frieben 2008-03-05 13:13:42 EST
Created attachment 296904 [details]
xorg.conf for IBM ThinkPad T23
Comment 13 Joachim Frieben 2008-03-05 13:14:32 EST
Created attachment 296905 [details]
Xorg.0.log related to xorg.conf for IBM ThinkPad T23
Comment 14 Joachim Frieben 2008-03-05 13:17:14 EST
Created attachment 296906 [details]
Xorg.0.log for IBM ThinkPad T23 w/o xorg.conf
Comment 15 Bug Zapper 2008-05-13 22:59:00 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Joachim Frieben 2008-05-29 12:57:13 EDT
Fixed in current F9: when trying to enable desktop effects, one
obtains: "Desktop effects could not be enabled" which is a graceful
handling of the lacking support of non power of two textures in the
"savage" driver. In .xsession-errors, the following text appears:

compiz (core) - Fatal: Support for non power of two textures missing
compiz (core) - Error: Failed to manage screen: 0
compiz (core) - Fatal: No manageable screens found on display :0.0
Comment 17 Mario Chacon 2009-04-07 11:04:16 EDT
How it's the status of this issue in Fedora 10 or 11?
Comment 18 Joachim Frieben 2009-04-07 11:35:49 EDT
F10 behaves like F9 which is ok. I tried "rawhide" (F11) a few weeks ago, and direct rendering was broken. Thus, desktop effects couldn't be tested. I will give it another try next weekend.

Note You need to log in before you can comment on or make changes to this bug.